package com.mortals.xhx.modules.supplement.model;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.mortals.xhx.common.utils.ExcelConvertApplication;
import com.mortals.xhx.common.utils.ExcelConvertCardType;
import com.mortals.xhx.common.utils.ExcelConvertDateProperty;
import com.mortals.xhx.common.utils.ExcelConvertMainProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 办件补录表
 * </p>
 *
 * @author coder wxy
 * @since 2021-04-09
 */
@Data
public class Supplement {

    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    private Long id;

    @ExcelProperty("实施清单名称*")
    private String implName;

    @ExcelProperty("实施清单编码*")
    private String implCode;

    @ExcelProperty(value = "申请人属性*", converter = ExcelConvertApplication.class)
    private String applicationType;

    @ExcelProperty(value = "申请人证件类型*", converter = ExcelConvertCardType.class)
    private String applicationCardType;

    @ExcelProperty("申请人姓名*")
    private String applicationName;

    @ExcelProperty("申请人证件号码*")
    private String applicationId;

    @ExcelProperty("申请人手机号码*")
    private String applicationPhone;

    @ExcelProperty("机构名称*")
    private String mechanismName;

    @ExcelProperty("机构地址")
    private String mechanismAddress;

    @ExcelProperty(value = "机构性质*", converter = ExcelConvertMainProperty.class)
    private String mechanismType;

    @ExcelProperty(value = "证件类型*", converter = ExcelConvertCardType.class)
    private String mechanismIdType;

    @ExcelProperty("机构编码*")
    private String mechanismId;

    @ExcelProperty("法人姓名*")
    private String legalPerson;

    @ExcelProperty(value = "办件申请日期", converter = ExcelConvertDateProperty.class)
    private Date applyTime;

    @ExcelProperty("受理人姓名")
    private String acceptName;

    @ExcelProperty("受理人身份证号码")
    private String acceptId;

    @ExcelProperty("受理人手机号")
    private String acceptPhone;

    @ExcelIgnore
    private String sysCode;

    @ExcelIgnore
    private String is_execute;

    @ExcelIgnore
    private String isSuccess;

    @ExcelIgnore
    private String failReason;

}
